Macaulay2 » Documentation
Packages » LieAlgebraRepresentations :: LieAlgebra _*
next | previous | forward | backward | up | index | toc

# LieAlgebra _* -- gives the list of summands of a semi-simple Lie Algebra

- Operator: _*
- Usage:
    `g_*`
- Inputs:
  - g, an instance of the type LieAlgebra,

## Description

    i1 : g=simpleLieAlgebra("A",2) ++ simpleLieAlgebra("A",3)

    o1 = g

    o1 : LieAlgebra

    i2 : g_*

    o2 = {𝔞 , 𝔞 }
           2   3

    o2 : List

## Ways to use this method:

- LieAlgebra _* -- gives the list of summands of a semi-simple Lie Algebra

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/LieAlgebraRepresentations/documentation.m2:179:0.